Bug 465578 - Wireless stops after suspend/resume.
Wireless stops after suspend/resume.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 20:43 EDT by Feng Yu
Modified: 2009-12-18 01:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:30:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg when device fails after resume (50.70 KB, application/octet-stream)
2009-09-16 15:45 EDT, Feng Yu
no flags Details
lspci -v (6.13 KB, application/octet-stream)
2009-09-16 15:46 EDT, Feng Yu
no flags Details
pm log (5.50 KB, application/octet-stream)
2009-09-16 15:46 EDT, Feng Yu
no flags Details

  None (edit)
Description Feng Yu 2008-10-03 20:43:58 EDT
Description of problem:

IPW2100 Wireless stops after suspend/resume.


Version-Release number of selected component (if applicable):
kernel-2.6.26.5-45.fc9.i686
ipw2100-firmware-1.3-8.noarch

How reproducible:
always


Steps to Reproduce:
1. update to the given versions.
2. suspend
3. resume
  
Actual results:

Wireless is lost. dmesg shows the firmware fails while loading.

Expected results:
Wireless works.

Additional info:

After a clean boot, the wireless is OK.
It seams to be a problem with any 2.6.26.x.

lspci
-----------------
02:02.0 Network controller: Intel Corporation PRO/Wireless LAN 2100 3B Mini PCI Adapter (rev 04)
--------------------


dmesg after resuming:
---------------------
CPI: PCI Interrupt 0000:02:02.0[A] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ 11
firmware: requesting ipw2100-1.3.fw
ipw2100: eth1: Firmware 'ipw2100-1.3.fw' not available or load failed.
ipw2100: eth1: ipw2100_get_firmware failed: -2
ipw2100: eth1: Failed to power on the adapter.
ipw2100: eth1: Failed to start the firmware.
serial 00:09: activated
----------------------


Right after suspending
------------------------
irq 11: nobody cared (try booting with the "irqpoll" option)
Pid: 0, comm: swapper Not tainted 2.6.26.5-45.fc9.i686 #1
 [<c045eea8>] __report_bad_irq+0x2e/0x6f
 [<c045f0ab>] note_interrupt+0x1c2/0x217
 [<c045e700>] ? handle_IRQ_event+0x2a/0x5a
 [<c045f708>] handle_level_irq+0x8e/0xbe
 [<c045f67a>] ? handle_level_irq+0x0/0xbe
 [<c0406f08>] do_IRQ+0x98/0xc4
 [<c04055eb>] common_interrupt+0x23/0x28
 [<c042007b>] ? update_curr_rt+0x12b/0x392
 [<c042d64c>] ? __do_softirq+0x62/0xe7
 [<c0406e2f>] do_softirq+0x74/0xb5
 [<c045f67a>] ? handle_level_irq+0x0/0xbe
 [<c042d46b>] irq_exit+0x38/0x6b
 [<c0406f1c>] do_IRQ+0xac/0xc4
 [<c04055eb>] common_interrupt+0x23/0x28
 [<c043007b>] ? ptrace_writedata+0xa/0x9b
 [<c053d2fc>] ? acpi_idle_enter_bm+0x2fe/0x383
 [<c043d302>] ? pm_qos_requirement+0x26/0x2b
 [<c05a58d2>] cpuidle_idle_call+0x62/0x92
 [<c05a5870>] ? cpuidle_idle_call+0x0/0x92
 [<c0403c4a>] cpu_idle+0xae/0xd0
 [<c0621e2e>] rest_init+0x4e/0x50
 =======================
handlers:
[<c057b072>] (usb_hcd_irq+0x0/0x7d)
[<c057b072>] (usb_hcd_irq+0x0/0x7d)
[<c057b072>] (usb_hcd_irq+0x0/0x7d)
[<c057b072>] (usb_hcd_irq+0x0/0x7d)
[<f892c0f6>] (yenta_interrupt+0x0/0xba [yenta_socket])
[<f8971742>] (ipw2100_interrupt+0x0/0x9a [ipw2100])
[<f8b25539>] (radeon_driver_irq_handler+0x0/0xdf [radeon])
Disabling IRQ #11
nsc-ircc 00:0b: disabled
parport_pc 00:0a: disabled
serial 00:09: disabled
ipw2100: Error disabling radio -5
ipw2100: eth1: Power down command failed: Error -5
ACPI: PCI interrupt for device 0000:02:02.0 disabled
ipw2100: eth1: ipw2100_verify failed: -5
ipw2100: eth1: Failed to power on the adapter.
ipw2100: eth1: Failed to start the firmware.
ACPI: PCI interrupt for device 0000:02:01.0 disabled
---------------

Random IPW2100 failures before suspending
-----------------
[drm] Loading R100 Microcode
[drm] writeback test succeeded in 2 usecs
ipw2100: Fatal interrupt. Scheduling firmware restart.
ipw2100: Fatal interrupt. Scheduling firmware restart.
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
ipw2100: exit - failed to send CARD_DISABLE command
ieee80211_crypt: registered algorithm 'CCMP'
----------------------
Comment 1 Feng Yu 2008-10-03 20:46:02 EDT
Workaround

modprobe -r ipw2100
modprobe ipw2100
Comment 2 Feng Yu 2008-12-02 18:53:26 EST
This still exist with Fedora 10.

Shouldn't the quirk be included in the pmutils as a temporary fix?
Comment 3 Matthias Saou 2008-12-22 14:11:53 EST
Changing to component kernel and reassigning to the default maintainer, since this doesn't seem to be a firmware package problem.
Comment 4 dongjibing 2009-09-13 22:53:54 EDT
Please install ipw2100-firmware.noarch packages, and try again
Comment 5 Feng Yu 2009-09-13 23:33:08 EDT
Which version of ipw2100-firmware.noarch do you want me to try?

I am on a Fedora 11 now. The wireless adapter still occasionally disappears after suspending, with ipw2100-firmware-1.3-9
Comment 6 Feng Yu 2009-09-13 23:38:26 EDT
FYI: the random firmware failure is related to the Burst Mode of the access points + a bug in either the ipw2100 kernel driver or ipw2100 firmware. 

It is a know problem (acknowledged in ipw2100 documents) and is likely unrelated to the issue with suspending. Refer to https://bugs.launchpad.net/intellinuxwireless/+bug/24776
Comment 7 dongjibing 2009-09-14 00:29:06 EDT
Thank you for reporting this bug. 
Note that the corresponding upstream ipw2100 bug remains ASSIGNED as well:

http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=245

and some related bugs:

https://bugzilla.redhat.com/show_bug.cgi?id=149968


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 dongjibing 2009-09-14 03:06:08 EDT
Would you please append lspci -v, dmesg output and /var/log/pm-suspend.log on Fedora 11, when the adapter disappears after suspending. It will be helpful to solve the issue in driver.
Comment 9 Feng Yu 2009-09-16 15:45:29 EDT
Created attachment 361358 [details]
dmesg when device fails after resume
Comment 10 Feng Yu 2009-09-16 15:46:03 EDT
Created attachment 361359 [details]
lspci -v
Comment 11 Feng Yu 2009-09-16 15:46:25 EDT
Created attachment 361360 [details]
pm log
Comment 12 Bug Zapper 2009-11-18 02:55:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:30:09 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.